Subject: bug#60490: 29.0.60; sqlite-mode-open-file fails to work over tramp

From: Mohammed Sadiq <[email-masked]>
Date: Sun, 15 Jan 2023 13:49:49 +0530

On 2023-01-15 12:57, Eli Zaretskii wrote:
>> Date: Sun, 15 Jan 2023 11:11:49 +0530
>> From: Mohammed Sadiq <[email-masked]>
>> Cc: [email-masked]
>> 
>> On 2023-01-02 18:13, Eli Zaretskii wrote:
>> > severity 60490 wishlist
>> > thanks
>> >
>> >> Date: Mon, 02 Jan 2023 16:56:24 +0530
>> >> From: Mohammed Sadiq <[email-masked]>
>> >>
>> >> Opening sqlite db files from remote system over tramp (with M-x
>> >> sqlite-mode-open-file) fails with the following error in *Messages*:
>> >>
>> >> sqlite-mode-list-tables: Wrong type argument: sqlitep, nil
>> >
>> > The built-in SQLite support doesn't (yet) support remote DB access.
>> > So I'm converting this report to a feature request.  Patches welcome.
>> >
>> 
>> In that case, it would be better to show a warning message that
>> it's not supported instead of failing with errors that gives no
>> hint to the user.
> 
> I disagree that we should show a warning in such cases.  The user
> asked Emacs to do something, and Emacs couldn't; the appropriate
> response is to signal an error, not to show a warning.  Showing a
> warning would mean we don't abort whatever Lisp program that was
> trying to do something we cannot do.
> 
> I agree that a more targeted error message would be beneficial;
> patches for that are welcome as well.

An error message was what I meant.

> 
>> Also, Emacs may also show the related bug number regarding such
>> issues so that interested users can subscribe to know updates.
> 
> We don't have any infrastructure in Emacs for doing stuff like that.
> It would be a useful feature, I think (although not easy to
> implement), but please submit a separate feature request for it.

I was suggesting to show an error message like:
"sqlite-xxx is not supported over tramp, see bug#xxx"